{
  "id": "f7f4fc48950cfecfa95dbad3",
  "source": "go:encoding/json",
  "type": "go-type",
  "title": "json.type Marshaler",
  "content": "# type json.type Marshaler ¶\n\n```\ntype Marshaler interface {\n\tMarshalJSON() ([]byte, error)\n}\n```\n\nMarshaler is the interface implemented by types that\ncan marshal themselves into valid JSON.",
  "url": "https://pkg.go.dev/encoding/json#type Marshaler ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/encoding/json",
    "kind": "type",
    "method_count": 0,
    "package": "json",
    "symbol": "type Marshaler ¶",
    "type_kind": "alias",
    "underlying": "type Marshaler interface {\n\tMarshalJSON() ([]byte, error)\n}"
  },
  "hash": "9d868a2316bcb49fe017089225be263c0dbcd3053e0cc76166f38fd2ffaee2ff",
  "timestamp": "2026-02-23T11:22:10.080659702+01:00"
}